package com.muyu.market.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseMapper;
import com.github.yulichang.query.MPJQueryWrapper;
import com.muyu.market.domain.SysFirm;
import com.muyu.market.domain.SysUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.List;
@Service
public interface SysFirminfoMapper extends MPJBaseMapper<SysFirm> {

    List<SysFirm> selectSysApitypeList(SysFirm sysFirm);

    SysFirm selectSysFirminfoListByUserId(Long adminsid);

    Integer updateFirmFromByFirmId(SysFirm sysFirm);

    Integer upd(@Param("adminsid") Long adminsid, @Param("firmScore") Double firmScore);
}
