package com.muyu.market.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 接口对象 sys_apitype
 *
 * @author ruoyi
 * @date 2024-08-21
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "sys_apitype",autoResultMap = true)
public class SysApitype extends BaseEntity{
private static final long serialVersionUID = 1L;

    /** api_id */
        @TableId(value = "sys_id",type = IdType.AUTO)
    private Long sysId;

    /** 产品编号 */
            @Excel(name = "产品编号")
    private String sysSerial;

    /** 简介 */
            @Excel(name = "简介")
    private String sysIntro;

    /** 产品状态 */
            @Excel(name = "产品状态")
    private String sysTypes;

    /** 备注 */
            @Excel(name = "备注")
    private String sysBeihzu;

    /** 类型选择 */
            @Excel(name = "类型选择")
    private String sysLeixingpick;

    /** 次/元 时间 */
            @Excel(name = "元/次")
    private Double sysNumber;

    public void setSysId(Long sysId)
            {
            this.sysId = sysId;
            }

    public Long getSysId()
            {
            return sysId;
            }
    public void setSysSerial(String sysSerial)
            {
            this.sysSerial = sysSerial;
            }

    public String getSysSerial()
            {
            return sysSerial;
            }
    public void setSysIntro(String sysIntro)
            {
            this.sysIntro = sysIntro;
            }

    public String getSysIntro()
            {
            return sysIntro;
            }
    public void setSysTypes(String sysTypes)
            {
            this.sysTypes = sysTypes;
            }

    public String getSysTypes()
            {
            return sysTypes;
            }
    public void setSysBeihzu(String sysBeihzu)
            {
            this.sysBeihzu = sysBeihzu;
            }

    public String getSysBeihzu()
            {
            return sysBeihzu;
            }
    public void setSysLeixingpick(String sysLeixingpick)
            {
            this.sysLeixingpick = sysLeixingpick;
            }

    public String getSysLeixingpick()
            {
            return sysLeixingpick;
            }
    public void setSysNumber(Double sysNumber)
            {
            this.sysNumber = sysNumber;
            }

    public Double getSysNumber()
            {
            return sysNumber;
            }

@Override
public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("sysId", getSysId())
            .append("sysSerial", getSysSerial())
            .append("sysIntro", getSysIntro())
            .append("sysTypes", getSysTypes())
            .append("sysBeihzu", getSysBeihzu())
            .append("sysLeixingpick", getSysLeixingpick())
            .append("sysNumber", getSysNumber())
        .toString();
        }
        }
