package com.muyu.market.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.market.domain.SysApitype;
import com.muyu.market.domain.UserRole;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 接口Service接口
 *
 * @author ruoyi

 */
@Service
public interface ISysApitypeService extends IService<SysApitype> {
    Integer updateCreateByUserId(Long userId);

    UserRole selectUserRoleByUserId(Long userId);
    /**
     * 查询接口
     *
     * @param sysId 接口主键
     * @return 接口
     */
    public SysApitype selectSysApitypeBySysId(Long sysId);

    /**
     * 查询接口列表
     *
     * @param sysApitype 接口
     * @return 接口集合
     */
    public List<SysApitype> selectSysApitypeList(SysApitype sysApitype);

    /**
     * 新增接口
     *
     * @param sysApitype 接口
     * @return 结果
     */
    public int insertSysApitype(SysApitype sysApitype);

    /**
     * 修改接口
     *
     * @param sysApitype 接口
     * @return 结果
     */
    public int updateSysApitype(SysApitype sysApitype);

    /**
     * 批量删除接口
     *
     * @param sysIds 需要删除的接口主键集合
     * @return 结果
     */
    public int deleteSysApitypeBySysIds(Long[] sysIds);

    /**
     * 删除接口信息
     *
     * @param sysId 接口主键
     * @return 结果
     */
    public int deleteSysApitypeBySysId(Long sysId);
}
